### Function

# Soup LoggerFilter

#### Declaration

    SoupLoggerLogLevel
    (* SoupLoggerFilter) (
      SoupLogger* logger,
      SoupMessage* msg,
      gpointer user_data
    )

#### Description [src]

The prototype for a logging filter.

The filter callback will be invoked for each request or response, and should analyze it and return a `SoupLoggerLogLevel` value indicating how much of the message to log.

#### Parameters

`logger` | `SoupLogger`
| The `SoupLogger`.
| The data is owned by the caller of the function.
`msg` | `SoupMessage`
| The message being logged.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| The data passed to `soup_logger_set_request_filter()` or `soup_logger_set_response_filter()`
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `SoupLoggerLogLevel`
| A `SoupLoggerLogLevel` value indicating how much of the message to log.